const { ccclass, property } = cc._decorator;

@ccclass
export default class Helloworld extends cc.Component {

    @property(cc.Label)
    label: cc.Label = null;

    @property
    text: string = 'hello';

    @property(cc.Sprite)
    icon: cc.Sprite = null;

    start() {
        // init logic
        this.label.string = this.text;
        // http://thirdwx.qlogo.cn/mmopen/vi_32/E7XLbDS0gRJibYGpzxcEwXibyTwQAAHX9Koia7oln1821c8Djkibtpf6O20J3nacpnb0pg1UmtpdfDznHYBZvL78kw/132
        // http://ggffcj.com/upfile/201705/2017052354292845.jpg
        cc.assetManager.loadRemote('http://thirdwx.qlogo.cn/mmopen/vi_32/E7XLbDS0gRJibYGpzxcEwXibyTwQAAHX9Koia7oln1821c8Djkibtpf6O20J3nacpnb0pg1UmtpdfDznHYBZvL78kw/132', { ext: '.png' }, (err: Error, asset: cc.Texture2D) => {
            if (err) {
                cc.error(err);
                this.label.string = '下载失败了';
                return;
            }
            const sf = new cc.SpriteFrame(asset);
            this.icon.spriteFrame = sf;
        });
    }

    setTime() {
        cc.assetManager.cacheManager.deleteInterval = 10000;
    }

    click_clear() {
        cc.assetManager.cacheManager.clearCache();
    }

    click_LRU() {
        cc.assetManager.cacheManager.clearLRU();
    }


}
